rpc:
  # The IP address where this RPC service registers itself; if left blank, it defaults to the internal network IP
  registerIP: 
  # IP address that the RPC service listens on; setting to 0.0.0.0 listens on both internal and external IPs. If left blank, it automatically uses the internal network IP
  listenIP: 0.0.0.0
  # autoSetPorts indicates whether to automatically set the ports
  # if you use in kubernetes, set it to false
  autoSetPorts: true
  # List of ports that the RPC service listens on; configuring multiple ports will launch multiple instances. These must match the number of configured prometheus ports
  # It will only take effect when autoSetPorts is set to false.
  ports:

prometheus:
  # Enable or disable Prometheus monitoring
  enable: true
  # List of ports that Prometheus listens on; these must match the number of rpc.ports to ensure correct monitoring setup
  # It will only take effect when autoSetPorts is set to false.
  ports:

ratelimiter:
  # Whether to enable rate limiting
  enable: false
  # WindowSize defines time duration per window
  window: 20s
  # BucketNum defines bucket number for each window
  bucket: 500
  # CPU threshold; valid range 0–1000 (1000 = 100%)
  cpuThreshold: 850

circuitBreaker:
  enable: false
  window: 5s # Time window size (seconds)
  bucket: 100 # Number of buckets
  success: 0.6 # Success rate threshold (0.6 means 60%)
  request: 500 # Request threshold; circuit breaker evaluation occurs when reached

object:
  # Use MinIO as object storage, or set to "cos", "oss", "kodo", "aws", while also configuring the corresponding settings
  # Cloudflare R2 使用 aws 模式，配置 endpoint 即可
  enable: minio
  cos:
    endpoint: https://e032b3e2e74d56c41118001d0f8e8106.r2.cloudflarestorage.com
    secretID: TVLQOpXcTCjpePajNI8qnD2tp4C9eean4tVdOT17
    secretKey: fbafa94b5036c147d5f27ffa55417a5daab662e348acb3a21b73c33405633cc8
    sessionToken: 
    publicRead: true
  oss:
    endpoint: https://oss-ap-southeast-1.aliyuncs.com
    bucket: chatall
    bucketURL: http://asset.imall.cloud 
    accessKeyID: LTAI5t6DiZgPducgW28HW9sv
    accessKeySecret: Hre20TaRDQadYZfQzp8ZwS9HfHIPrw
    sessionToken: 
    publicRead: true
  kodo:
    endpoint: https://s3.cn-south-1.qiniucs.com
    bucket: testdemo12313
    bucketURL: http://so2at6d05.hn-bkt.clouddn.com
    accessKeyID:
    accessKeySecret:
    sessionToken: 
    publicRead: false
  aws:
    region: ap-southeast-1
    bucket: im1688
    accessKeyID: AKIA5TMMSZWVFYCLKJ2G
    secretAccessKey: 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
    sessionToken:
    publicRead: true